using System;

namespace MysteriousMessage
{
    class Program
    {
        static void Main(string[] args)
        {
            
            int x = 0, y = 0, a = 0, b = 0;

   
            Console.Write("Unesite trenutni rezultat utakmice (x:y): ");
            string[] currentResult = Console.ReadLine().Split(':');
            x = Convert.ToInt32(currentResult[0]);
            y = Convert.ToInt32(currentResult[1]);

            Console.Write("Unesite konacni rezultat iz misteriozne poruke (a:b): ");
            string[] finalResult = Console.ReadLine().Split(':');
            a = Convert.ToInt32(finalResult[0]);
            b = Convert.ToInt32(finalResult[1]);

            // Provera ko ce dati sledeci gol
            if (x < a && y < b)
            {
                Console.WriteLine("Trenutno stanje je x:y, a konacni rezultat je a:b. Oba tima su izjednacena.");
                Console.WriteLine("Nije moguce odrediti ko ce dati sledeci gol.");
            }
            else if (x < a)
            {
                Console.WriteLine("Trenutno stanje je x:y, a konacni rezultat je a:b. Tim X je u prednosti.");
                Console.WriteLine("Verovatno ce tim X dati sledeci gol.");
            }
            else if (y < b)
            {
                Console.WriteLine("Trenutno stanje je x:y, a konacni rezultat je a:b. Tim Y je u prednosti.");
                Console.WriteLine("Verovatno ce tim Y dati sledeci gol.");
            }
            else
            {
                Console.WriteLine("Trenutno stanje je x:y, a konacni rezultat je a:b.");
                Console.WriteLine("Nije moguce odrediti ko ce dati sledeci gol.");
            }
        }
    }
}